JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentSetup = await client.agentSetup.create('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(agentSetup.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_setup = client.agent_setup.create(
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(agent_setup.data)curl --request POST \
--url https://api.roark.ai/v1/agent/{agentId}/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"websiteUrl": "<string>",
"testingInstructions": "<string>",
"capabilities": [],
"agentEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 10,
"maxConversationMinutes": 5
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/agent/{agentId}/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'websiteUrl' => '<string>',
'testingInstructions' => '<string>',
'capabilities' => [
],
'agentEndpointId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'explore' => [
'enabled' => true,
'maxConversations' => 10,
'maxConversationMinutes' => 5
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/agent/{agentId}/setup"
payload := strings.NewReader("{\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"capabilities\": [],\n \"agentEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/agent/{agentId}/setup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"capabilities\": [],\n \"agentEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/agent/{agentId}/setup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"capabilities\": [],\n \"agentEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"layers": [
{
"layer": "CORE",
"status": "COVERED",
"summary": "<string>"
}
],
"question": {
"question": "<string>",
"options": [
"<string>"
],
"defaultOption": "<string>"
},
"activity": [
{
"kind": "STATUS",
"text": "<string>",
"createdAt": "<string>"
}
],
"industry": "HEALTHCARE",
"capabilities": [
"APPOINTMENT_BOOKING"
],
"runPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 123,
"maxConversationMinutes": 123,
"conversationsUsed": 123
},
"testDataNeeded": [
{
"label": "<string>",
"reason": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"errorMessage": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"layer": "CORE",
"kind": "FLOW",
"action": "CREATED",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"capability": "APPOINTMENT_BOOKING",
"source": {
"type": "CATALOGUE",
"url": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offsetMs": 123,
"quote": "<string>"
},
"reason": "<string>",
"origin": "DISCOVERED"
}
],
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Agent
Set up an agent
Generates flows, metrics and a run plan for the agent. Runs in the background: watch the agent.setup.completed webhook, or poll GET /v1/agent//setup. Refuses while another setup for the agent is running. Needs the ‘simulation:create’ and ‘metric:create’ permissions. Exploration also needs ‘simulation:run’, and is turned off for keys without it unless explore.enabled is set.
POST
/
v1
/
agent
/
{agentId}
/
setup
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentSetup = await client.agentSetup.create('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(agentSetup.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_setup = client.agent_setup.create(
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(agent_setup.data)curl --request POST \
--url https://api.roark.ai/v1/agent/{agentId}/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"websiteUrl": "<string>",
"testingInstructions": "<string>",
"capabilities": [],
"agentEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 10,
"maxConversationMinutes": 5
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/agent/{agentId}/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'websiteUrl' => '<string>',
'testingInstructions' => '<string>',
'capabilities' => [
],
'agentEndpointId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'explore' => [
'enabled' => true,
'maxConversations' => 10,
'maxConversationMinutes' => 5
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/agent/{agentId}/setup"
payload := strings.NewReader("{\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"capabilities\": [],\n \"agentEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/agent/{agentId}/setup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"capabilities\": [],\n \"agentEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/agent/{agentId}/setup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"capabilities\": [],\n \"agentEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"layers": [
{
"layer": "CORE",
"status": "COVERED",
"summary": "<string>"
}
],
"question": {
"question": "<string>",
"options": [
"<string>"
],
"defaultOption": "<string>"
},
"activity": [
{
"kind": "STATUS",
"text": "<string>",
"createdAt": "<string>"
}
],
"industry": "HEALTHCARE",
"capabilities": [
"APPOINTMENT_BOOKING"
],
"runPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 123,
"maxConversationMinutes": 123,
"conversationsUsed": 123
},
"testDataNeeded": [
{
"label": "<string>",
"reason": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"errorMessage": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"layer": "CORE",
"kind": "FLOW",
"action": "CREATED",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"capability": "APPOINTMENT_BOOKING",
"source": {
"type": "CATALOGUE",
"url": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offsetMs": 123,
"quote": "<string>"
},
"reason": "<string>",
"origin": "DISCOVERED"
}
],
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Body
application/json
Input for setting up an existing agent
The capabilities to test. Omit to let Roark work them out from the agent.
Available options:
APPOINTMENT_BOOKING, FAQ, IDENTITY_VERIFICATION, ACCOUNT_MANAGEMENT, BILLING_AND_PAYMENTS, ORDER_MANAGEMENT, TROUBLESHOOTING, CALL_ROUTING, LEAD_QUALIFICATION, COLLECTIONS, OUTBOUND_CALLING